/* This file is part of Lcrzo.
*/

int lcrzo_spoof_set_useethforip(lcrzo_spoof *pspoof,
				lcrzo_bool useethforip)
{ if (pspoof==NULL) return(LCRZO_ERR_PANULLPTR);
  lcrzo_bool_verifbof(useethforip);
#if defined LCRZODEF_SYSTEM_Unix
  pspoof->para_useethforip=useethforip;
#elif defined LCRZODEF_SYSTEM_Windows
  /* because there is no way to spoof at IP level with Windows */
  pspoof->para_useethforip=LCRZO_TRUE;
#else
 #error "Unknown value for LCRZODEF_SYSTEM"
#endif
  return(LCRZO_ERR_OK);
}

